Unit.h File Reference
`#include <libqalculate/ExpressionItem.h>`
`#include <libqalculate/includes.h>`

## Classes

class | Unit
| A unit for measurement. More...
class | AliasUnit
| An unit with relation to another unit. More...
class | AliasUnit_Composite
| A subunit in a CompositeUnit. More...
class | CompositeUnit
| A unit consisting of a number of other units. More...

## Enumerations

enum | UnitSubtype { SUBTYPE_BASE_UNIT , SUBTYPE_ALIAS_UNIT , SUBTYPE_COMPOSITE_UNIT }
| Type of unit. More...

## Enumeration Type Documentation

## UnitSubtype

enum UnitSubtype

Type of unit.

Enumerator
SUBTYPE_BASE_UNIT | class Unit
SUBTYPE_ALIAS_UNIT | class AliasUnit
SUBTYPE_COMPOSITE_UNIT | class CompositeUnit